.course-card {
  border-radius: 19px;
  cursor: pointer;
  @include var("background", "default-bg-site", $default-bg-site);
  overflow: hidden;
  &__picture {
    width: 100%;
    position: relative;
    min-height: 173px;
    padding: 20px;
    &-img {
      border-radius: 19px 19px 0px 0px;
      height: 100%;
      width: 100%;
      position: absolute;
      left: 0;
      top: 0;
      z-index: 0;
    }
    &.transparent {
      @include border(1px, solid, "grey", $grey, "left");
      @include border(1px, solid, "grey", $grey, "right");
      @include border(1px, solid, "grey", $grey, "top");
      border-radius: 19px 19px 0px 0px;
      min-height: 0;
      .course-card__tag {
        @include border(1px, solid, "blue", $blue);
      }
    }
  }
  &__tags {
    position: relative;
    z-index: 1;
    margin-bottom: -13px;
  }
  &__tag {
    font-size: 11px;
    line-height: 13px;
    min-height: 29px;
    padding: 5px 10px;
    @include var("background", "default-bg-site", $default-bg-site);
    border-radius: 24px;
    margin-bottom: 12px;
    transition: 0s;
    &:not(:last-child) {
      margin-right: 13px;
    }
    &:hover {
      @include var("color", "light-text", $light-text);
      @include var("background", "blue", $blue);
      transform: scale(1.05);
    }
  }
  &__body {
    padding: 17px 25px 20px;
    @include border(1px, solid, "grey", $grey, "left");
    @include border(1px, solid, "grey", $grey, "right");
    flex-grow: 1;
    @include media("tb") {
      padding: 17px 20px 25px;
    }
    @include media("mtb") {
      padding: 17px 17px 25px;
    }
    @include media("md") {
      padding: 17px 20px 20px;
    }
  }
  &__head {
    margin-bottom: 17px;
    @include media("tb") {
      display: block;
      margin-bottom: 25px;
    }
    @include media("md") {
      display: flex;
      margin-bottom: 17px;
    }
    &-title {
      font-weight: 600;
      line-height: 20px;
      margin-right: 15px;
      flex: 0 1 100%;
      max-width: max-content;
      @include media("tb") {
        margin-right: 0;
      }
      @include media("md") {
        margin-right: 15px;
      }
    }
    &-assessment {
      flex: 0 0 auto;
      min-width: auto;
      height: 100%;
      @include media("tb") {
        margin-top: 9px;
      }
      @include media("md") {
        margin-top: 0;
      }
      &-icon {
        margin-right: 9px;
        @include const-size(16px, true);
      }

      &-text {
        font-size: 14px;
        line-height: 17px;
        .grey {
          @include var("color", "grey-4", $grey-4);
        }
        &:hover {
          color: var(--blue);
        }
        a {
          font-size: inherit;
          font-weight: inherit;
          line-height: inherit;
          &:hover {
            @include var("color", "blue", $blue);
          }
        }
      }
    }
  }
  &__text {
    margin-top: 7px;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    .bold {
      font-weight: 500;
    }

    &.last {
      margin-bottom: 20px;
      @include media("tb") {
        margin-bottom: 25px;
      }
      @include media("md") {
        margin-bottom: 20px;
      }
    }
  }
  &__price {
    margin-top: auto;
    margin-bottom: -8px;
    @include media("tb") {
      display: block;
    }
    @include media("md") {
      display: flex;
    }

    &-inner,
    &-text {
      margin-bottom: 8px;
    }
    &-inner {
      margin-right: 15px;
      @include media("tb") {
        margin-right: 0;
      }
      @include media("md") {
        margin-right: 15px;
      }
    }
    &-icon {
      margin-right: 9px;
      @include media("tb") {
        @include const-size(13px, true);
        margin-right: 10px;
      }
      @include media("md") {
        @include const-size(17px, true);
        margin-right: 9px;
      }
    }
    &-title {
      font-weight: 600;
      line-height: 20px;
      @include media("tb") {
        font-size: 14px;
        line-height: 17px;
      }
      @include media("md") {
        font-size: 16px;
        line-height: 20px;
      }
      &.red {
        @include var("color", "red", $red);
      }
    }
    &-text {
      font-weight: normal;
      font-size: 15px;
      line-height: 18px;
      @include media("tb") {
        font-size: 13px;
        line-height: 16px;
      }
      @include media("md") {
        font-size: 15px;
        line-height: 18px;
      }
    }
  }
  &__footer {
    @include var("background", "blue", $blue);
    min-height: 62px;
    padding: 10px;
    line-height: 20px;
    text-align: center;
    &:hover {
      .course-card__footer-text {
        @include anim-swing();
      }
    }
  }

  &__linkMore {
    font-size: 12px;
    color: var(--blue);
    white-space: nowrap;
    background: 0 0;
    text-decoration: underline;
    margin-bottom: 17px;

    &:hover {
      color: #000;
    }
  }
}
